Registers a session key for an embedded wallet
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/users/embeddedWallets/sessionKey \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publicKey": "An example name",
"prevSessionKeySignature": "An example name",
"walletId": "95b11417-f18f-457f-8804-68e361f9164f"
}
'{
"publicKey": "<string>",
"expiresAt": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Register session key body
^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/users/embeddedWallets/sessionKey \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publicKey": "An example name",
"prevSessionKeySignature": "An example name",
"walletId": "95b11417-f18f-457f-8804-68e361f9164f"
}
'{
"publicKey": "<string>",
"expiresAt": 123
}